Page MenuHomeFreeBSD

New port: graphics/pcl-pointclouds: Point Cloud Library
ClosedPublic

Authored by yuri on Dec 30 2017, 9:49 PM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Dec 30 2017, 9:49 PM
yuri added a comment.EditedDec 30 2017, 9:54 PM

There is another port named pcl, devel/pcl, hence PKGNAMESUFFIX=-pointclouds.

In D13697#286417, @yuri wrote:

There is another port named pcl, devel/pcl, hence PKGNAMESUFFIX=-pointclouds.

You need to be modifying the pkg name, not the version. make -V PKGBASE *must* be unique. Use PKGNAMEPREFIX or SUFFIX. Plus, "pcl-pcl" doesn't in any way identify which pcl port this is. You're better off naming it "pcl-graphics" or something like that.

yuri added a comment.Dec 30 2017, 10:48 PM
In D13697#286417, @yuri wrote:

There is another port named pcl, devel/pcl, hence PKGNAMESUFFIX=-pointclouds.

You need to be modifying the pkg name, not the version. make -V PKGBASE *must* be unique. Use PKGNAMEPREFIX or SUFFIX. Plus, "pcl-pcl" doesn't in any way identify which pcl port this is. You're better off naming it "pcl-graphics" or something like that.

PKGNAMESUFFIX is what I used: PKGNAMESUFFIX=-pointclouds.

$ make -V PKGBASE
pcl-pointclouds

In D13697#286441, @yuri wrote:
In D13697#286417, @yuri wrote:

There is another port named pcl, devel/pcl, hence PKGNAMESUFFIX=-pointclouds.

You need to be modifying the pkg name, not the version. make -V PKGBASE *must* be unique. Use PKGNAMEPREFIX or SUFFIX. Plus, "pcl-pcl" doesn't in any way identify which pcl port this is. You're better off naming it "pcl-graphics" or something like that.

PKGNAMESUFFIX is what I used: PKGNAMESUFFIX=-pointclouds.

$ make -V PKGBASE
pcl-pointclouds

But you wrote

There is another port named `pcl`, `devel/pcl`, hence `DISTVERSIONPREFIX=${PORTNAME}-`.

:)

yuri added a comment.Dec 30 2017, 10:53 PM
In D13697#286441, @yuri wrote:
In D13697#286417, @yuri wrote:

There is another port named pcl, devel/pcl, hence PKGNAMESUFFIX=-pointclouds.

You need to be modifying the pkg name, not the version. make -V PKGBASE *must* be unique. Use PKGNAMEPREFIX or SUFFIX. Plus, "pcl-pcl" doesn't in any way identify which pcl port this is. You're better off naming it "pcl-graphics" or something like that.

PKGNAMESUFFIX is what I used: PKGNAMESUFFIX=-pointclouds.

$ make -V PKGBASE
pcl-pointclouds

But you wrote

There is another port named `pcl`, `devel/pcl`, hence `DISTVERSIONPREFIX=${PORTNAME}-`.

:)

Sorry, this was a typo the first time. Copy-paste from a wrong line. :-)
I corrected it right after posting a comment.

tcberner requested changes to this revision.Jan 8 2018, 8:56 PM
tcberner added inline comments.
graphics/pcl/Makefile
15 ↗(On Diff #37253)

USES=eigen:3

This revision now requires changes to proceed.Jan 8 2018, 8:56 PM
yuri updated this revision to Diff 37655.Jan 8 2018, 10:04 PM

eigen:3

yuri marked an inline comment as done.Jan 8 2018, 10:04 PM
tcberner added inline comments.Jan 9 2018, 6:59 PM
graphics/Makefile
760 ↗(On Diff #37655)

to me it woudl be preferable if the ports directory were pcl-pointclouds

yuri updated this revision to Diff 37700.Jan 9 2018, 11:48 PM

Renamed.

yuri retitled this revision from New port: graphics/pcl: Point Cloud Library to New port: graphics/pcl-pointclouds: Point Cloud Library.Jan 9 2018, 11:49 PM
yuri marked an inline comment as done.
yuri added a comment.Jan 10 2018, 8:23 AM

Directory has been renamed.

tcberner accepted this revision.Jan 15 2018, 12:31 PM
This revision is now accepted and ready to land.Jan 15 2018, 12:31 PM
mat added inline comments.Jan 15 2018, 2:50 PM
graphics/pcl-pointclouds/pkg-plist
1080–1081 ↗(On Diff #37700)

This is wrong. DATADIR is a *directory*. Set DATADIR in the Makefile to the correct value.

yuri marked an inline comment as done.Jan 16 2018, 5:53 AM
yuri added inline comments.
graphics/pcl-pointclouds/pkg-plist
1080–1081 ↗(On Diff #37700)

Changed DATADIR to reflect where the project installs .cmake files.
Also, verified that these .cmake files actually work.

This revision was automatically updated to reflect the committed changes.
yuri marked an inline comment as done.